#!/usr/bin/ksh

####################################################################################################
# Uninstallation script for FireScope Agent for AIX
####################################################################################################

####################################################################################################
# Variables
####################################################################################################
FSUSER="firescop"
FSGROUP="firescop"
INSTALLDIR=INSTALLDIR
INIT=INIT
INIT2="/etc/rc.d/rc2.d"
INIT5="/etc/rc.d/rc5.d"
WHOAMI=`id | cut -d "(" -f2 | cut -d ")" -f1`
UNINSTALLERLOG="/var/tmp/firescope_agent_uninstall.log"
echo "\033[40m\033[40;33m" #sets back gound to black
####################################################################################################
#Check if user is root
####################################################################################################
	echo "****************************Checking User Permission for Agent Uninstall***************************" >>$UNINSTALLERLOG
	if [ "${WHOAMI}" != "root" ]; then
		echo "Sorry, root required to uninstall agent."
		exit 1
	fi
####################################################################################################
#End Check if user is root
####################################################################################################
	####################################################################################################
	# Kill all FireScope processes
	####################################################################################################
	echo "****************************Stopping FireScope Services ***************************" >>$UNINSTALLERLOG
	echo "$INIT/flex_agent stop" >>$UNINSTALLERLOG
		"$INIT"/flex_agent stop
	echo "$INIT/flex_agent_manager stop" >>$UNINSTALLERLOG
		"$INIT"/flex_agent_manager stop
		sleep 5
	####################################################################################################
	# Remove FireScope files and folders
	####################################################################################################
	echo "****************************Removing FireScope Services ***************************" >>$UNINSTALLERLOG
		rm -f $INIT/flex_agent* >>$UNINSTALLERLOG
		rmitab flex_agent >>$UNINSTALLERLOG
		rm -f $INIT/flex_agent_manager* >>$UNINSTALLERLOG
		rmitab flex_agent_mgr >>$UNINSTALLERLOG
		rm -rf $INSTALLDIR >>$UNINSTALLERLOG

		if [ -d ${INSTALLDIR} ]
		then
			rm -rf $INSTALLDIR >>$UNINSTALLERLOG
		fi
	####################################################################################################
	# Remove firescop from operating system
	####################################################################################################
	echo "****************************Removing FireScope Agent User and Group ***************************" >>$UNINSTALLERLOG
userdel $FSUSER
rmgroup $FSGROUP
	echo "**************************** Uninstall Completed ***************************" >>$UNINSTALLERLOG
####################################################################################################
# DONE
####################################################################################################
echo "FireScope Agent for AIX has been removed."
echo "\033[0m" # sets background back to default
exit 0
